<?php
require('../fpdf181/fpdf.php');

class pdf extends FPDF
{
	public function header()
	{
	// Encabezado
	}

	public function MultiCellAll($yi,$xi,$ancho,$alto,$texto,$border,$alineacion,$relleno)
	{
	// Escribir varias columnas
	//MultiCell(ancho,alto,texto,border,alineacion,relleno)
		$x1 = 0;
		$y1 = $yi;
		$i  = 0;
		$maxSize = $yi;
		foreach ($texto as $posicion=>$columna)
		{
			$this->SetXY( $x1+$xi[$i], $y1);
			$this->MultiCell($ancho[$i], $alto[$i], $columna,$border[$i],$alineacion[$i],$relleno[$i]);
			$i += 1;
			if ( $maxSize < ($this->GetY()  ) )
				$maxSize = $this->GetY() ;
		}
		return ( $maxSize - $yi );
	}

	public function footer()
	{
		// pie de pagina
	}
}

function Ymd_dmY(string $fecha, string $separador = "/"):string
{
	$ano=substr($fecha,0,4);
	$mes=substr($fecha, 5,2);
	$dia=substr($fecha, 8,2);
	$_fecha=$dia.$separador.$mes.$separador.$ano; 
	return $_fecha;
}

function formatoFecha($fecha)
{
	//$date   = date_format($fecha, 'F, jS Y');
	$date   =	date('d/ m/ Y');
	return $date;
}


function SetCurrency(float $valor, string $signo = '$'):string
{
	return $signo.number_format($valor,2,'.','');
}

// Se define el tamaño de hoja y margenes
$fpdf = new pdf('l','mm','letter',true);
$fpdf->AddPage('portrait', 'letter');
$fpdf->SetMargins(10,30,20,20);
// Datos de la comapañia
require_once "../modelos/Empresa.php";
$empresa				= new Empresa();
$rsptae					= $empresa->buscarempresa();
$rege						= $rsptae->fetch_object();
$licenialicore	= $rege->licenciadelicor;

// Datos de cliente y factura
//obtenemos los datos de la cabecera de la venta actual
require_once "../modelos/Ventan.php";
$venta					= new Ventan();
$rsptav					=$venta->ventacabecera($_GET["id"]);
//recorremos todos los valores que obtengamos
$regv						=$rsptav->fetch_object();

$cliente    		=$regv->cliente;
$direccion			=$regv->direccion;
$telefono   		=$regv->telefono;
$rif        		=$regv->num_documento;
$licencia_licor	=$regv->licencia_licor;
$licencia_licord=$regv->licencia_licord;
$tdoc						=$regv->tipo_documento;
$cliented   		=$regv->cliented;
$direcciond			=$regv->direcciond;
$telefonod  		=$regv->telefonod;
$rifd       		=$regv->num_documentod;
$tdocd					=$regv->tipo_documentod;
$vendedor				=$regv->vendedor;
$impuesto       =$regv->impuesto/100;
$conductor			=$regv->chofer;
$tipo_documentoc=$regv->tipo_documentoc;
$num_documentoc	=$regv->num_documentoc;
$vehiculo				=$regv->vehiculo;
$placa					=$regv->placa;
$ordendecompra	=$regv->ordendecompra;
$cproveedor			=$regv->cproveedor; 
$tasa_dollar		=$regv->tasa_dollar;
//$modopago				='CONTADO';
$total_venta					=$regv->total_venta;
$total_ventad					=$regv->total_ventad;
$total_ventaimpuesto	=$regv->total_ventaimpuesto;
$total_ventaimpuestod	=$regv->total_ventaimpuestod;
$vendedor           =$regv->vendedor.'-'.$regv->telefonov;
$modopago			=$regv->modopago;
$observacion		=$regv->observacion;

$cuidad     		="Caracas";
$longitud				=strlen($regv->num_comprobante);
$serie					='0000';
$prefac					= substr($serie, 1, 4-$longitud);
$nrofactura			='F'.$prefac.$regv->num_comprobante;
//$nrofactura		=$regv->num_comprobante;
$Fecha 			=$regv->fecha;
//$Fecha			=formatoFecha($Fecha);
$Fecha1			=Ymd_dmY($Fecha);
if ($tdoc=="RIF"){
    $rif 	= "J-".$rif;
    $rift 	= "RIF";
}else{
    $rif 	= "CI-".$rif;
    $rift 	= "CÉDULA";
}
if ($tdocd=="RIF"){
	$rifd 	= "J-".$rifd;
	$riftd 	= "RIF";
}else{
	$rifd 	= "CI-".$rifd;
	$riftd 	= "CÉDULA";
}
if ($tipo_documentoc=="RIF"){
	$rifdc 	= "J-".$num_documentoc;
	$riftdc = "RIF";
}else{
	$rifdc 	= "CI-".$num_documentoc;
	$riftdc = "CÉDULA";
}


//$fpdf	->Image('FacturaAlimentoDaniel1.jpg' , 17 ,8, 180 , 210,'JPG', '');
//Titulos del encabezado
$fpdf	->SetFillColor(255,255,255);
$fpdf	->SetTextColor(0,0,0); 
$fpdf	->SetLineWidth(0.3);
$fpdf	->SetDrawColor(0,0,0);

 /*  $fpdf	->SetFillColor(0,0,0);
$fpdf	->SetTextColor(255,255,255);  */   

$y		=52;
$x1		=112.7;
$fpdf	->SetXY($x1,$y);
$fpdf	->SetFont('Helvetica', 'B', 7);
$fpdf	->Cell(50, 5, 'FECHA:', '0', 0, 'L', 1);
$fpdf	->MultiCell(28, 4, $Fecha1, '0', 'L', 1);
$y		=$fpdf->GetY()+1;
$x		=19;
$fpdf	->SetXY($x,$y);
$fpdf	->SetFont('Helvetica', '', 7);
$fpdf	->Cell(25, 5, 'LICENCIA DE LICOR:', '0', 0, 'L', 1);
$fpdf	->Cell(20, 5, utf8_decode($licenialicore), '0', 0, 'L', 1);
$x		=$x1;
$fpdf	->SetXY($x,$y);
$fpdf	->SetFont('Helvetica', '', 6.5);
$fpdf	->Cell(25, 4, 'VENDEDOR:', '0', 0, 'L', 1);
$fpdf	->Cell(15, 4, utf8_decode($vendedor), '0', 0, 'L', 1);
$y		=$fpdf->GetY()+5;

/*
$x		=19;
$fpdf	->SetFont('Helvetica', '', 7);
$fpdf	->SetXY($x,$y);
$fpdf	->MultiCell(170, 5, utf8_decode('Grado Alcohólico de 36 GL. Fabricante LANDER & VERA C.A./BODEGAS RPB Procedencia: Producto NACIONAL / IMPORTADO Uso: Bebida. Clase: Licor de Ron / Vino'), '0', 'L', 1);

$y		=$fpdf->GetY()+1;*/

//Encabezado datos del cliente
$yl		=$y;
$x		=21;
$fpdf	->SetXY($x,$y);
$fpdf	->SetFont('Helvetica', 'B', 8);
$fpdf	->Cell(21, 4, 'CLIENTE', '0', 0, 'L', 1);
$fpdf	->SetFont('Helvetica', 'B', 6);
$x		=58;
$fpdf	->SetXY($x,$y);
$fpdf	->Cell(24, 4, utf8_decode('LICENCIA DE LICOR'), '0', 0, 'L', 1);
$x		=82;
$fpdf	->SetXY($x,$y);
$fpdf	->Cell(30, 4, utf8_decode($licencia_licor), '0', 0, 'L', 1);
$fpdf	->SetXY($x1,$y);
$fpdf	->SetFont('Helvetica', 'B', 8);
$fpdf	->Cell(21, 4, 'DESPACHO', '0', 0, 'L', 1);
$fpdf	->SetFont('Helvetica', 'B', 6);
$x		=145;
$fpdf	->SetXY($x,$y);
$fpdf	->Cell(24, 4, utf8_decode('LICENCIA DE LICOR'), '0', 0, 'L', 1);
$x		=169;
$fpdf	->SetXY($x,$y);
$fpdf	->Cell(27, 4, utf8_decode($licencia_licord), '0', 0, 'L', 1);
//$fpdf	->MultiCell(28, 4, $licencia_licord, '0', 'L', 1);
$yf		=$fpdf->GetY();

//cuadrado del encabezado
$y		=$fpdf->GetY()+6;
$fpdf	->Rect(20,$y-6,92.5,5);
$fpdf	->Rect(112.5,$y-6,84,5);
$yd1	=$y;

//Lado Izquierda
$x		=21;
$fpdf	->SetXY($x,$y);
$fpdf	->SetFont('Helvetica', 'B', 7);
$fpdf	->Cell(20, 4, 'NOMBRE', '0', 0, 'L', 1);
$x		=42;
$fpdf	->SetXY($x,$y);
$fpdf	->SetFont('Helvetica', '', 7);
$fpdf	->MultiCell(70, 4, utf8_decode($cliente), '0', 'L', 1);
$y		=$fpdf->GetY()+1;
$yfp	=$y;
$x		=21;
$fpdf	->SetXY($x,$y);
$fpdf	->SetFont('Helvetica', 'B', 7);
$fpdf	->Cell(20, 4, utf8_decode('DIRECCIÓN'), '0', 0, 'L', 1);
$x		=42;
$fpdf	->SetXY($x,$y);
$fpdf	->SetFont('Helvetica', '', 7);
$fpdf	->MultiCell(70, 4, utf8_decode($direccion), '0', 'L', 1);
$y		=$fpdf->GetY()+1;
$yd11	=$y;

//Lado Derecho
$y		=$yd1;
$x		=$x1;
$fpdf	->SetXY($x,$y);
$fpdf	->SetFont('Helvetica', 'B', 7);
$fpdf	->Cell(20, 4, utf8_decode('NOMBRE'), '0', 0, 'L', 1);
$x		=$x1+21;
$fpdf	->SetXY($x,$y);
$fpdf	->SetFont('Helvetica', '', 7);
$fpdf	->MultiCell(62, 4, utf8_decode($cliented), '0', 'L', 1);
$y		=$fpdf->GetY()+1;
$x		=$x1;
$fpdf	->SetXY($x,$y);
$fpdf	->SetFont('Helvetica', 'B', 7);
$fpdf	->Cell(20, 4, utf8_decode('DIRECCIÓN'), '0', 0, 'L', 1);
$x		=$x1+21;
$fpdf	->SetXY($x,$y);
$fpdf	->SetFont('Helvetica', '', 7);
$fpdf	->MultiCell(62, 4, utf8_decode($direcciond), '0', 'L', 1);
$y		=$fpdf->GetY()+1;
$yd22	=$y; 

$yd123 = $yd11;
if ($yd22>$yd11){
	$yd123 = $yd22;
}

$y = $yd123;
//Lado Izquierda2
$x		=21;
$fpdf	->SetXY($x,$y);
$fpdf	->SetFont('Helvetica', 'B', 7);
$fpdf	->Cell(20, 4, utf8_decode($riftd), '0', 0, 'L', 1);
$x		=42;
$fpdf	->SetXY($x,$y);
$fpdf	->SetFont('Helvetica', '', 7);
$fpdf	->MultiCell(20, 4, utf8_decode($rif), '0', 'L', 1);
//$y		=$fpdf->GetY()+1;
$x		=63;
$fpdf	->SetXY($x,$y);
$fpdf	->SetFont('Helvetica', 'B', 7);
$fpdf	->Cell(20, 4, utf8_decode('TELÉFONO'), '0', 0, 'L', 1);
$x		=83.5;
$fpdf	->SetXY($x,$y);
$fpdf	->SetFont('Helvetica', '', 7);
$fpdf	->MultiCell(28.5, 4, utf8_decode($telefono), '0', 'L', 1);
$y		=$fpdf->GetY()+1;
$x		=21;
$fpdf	->SetXY($x,$y);
$fpdf	->SetFont('Helvetica', 'B', 7);
$fpdf	->Cell(20, 4, utf8_decode('FACTURA GUÍA'), '0', 0, 'L', 1);
$x		=42;
$fpdf	->SetXY($x,$y);
$fpdf	->SetFont('Helvetica', '', 7);
$fpdf	->MultiCell(70, 4, utf8_decode($nrofactura), '0', 'L', 1);
//$y		=$fpdf->GetY()+1;
$x		=63;
$fpdf	->SetXY($x,$y);
$fpdf	->SetFont('Helvetica', 'B', 7);
$fpdf	->Cell(20, 4, utf8_decode('PAGO'), '0', 0, 'L', 1);
$x		=83.5;
$fpdf	->SetXY($x,$y);
$fpdf	->SetFont('Helvetica', '', 7);
$fpdf	->MultiCell(28.5, 4, utf8_decode($modopago), '0', 'L', 1);
$y		=$fpdf->GetY()+1;
$x		=21;
$fpdf	->SetXY($x,$y);
$fpdf	->SetFont('Helvetica', 'B', 7);
$fpdf	->Cell(20, 4, utf8_decode('C.PROVEEDOR'), '0', 0, 'L', 1);
$x		=42;
$fpdf	->SetXY($x,$y);
$fpdf	->SetFont('Helvetica', '', 7);
$fpdf	->MultiCell(70, 4, utf8_decode($cproveedor), '0', 'L', 1);
//$y		=$fpdf->GetY()+1;
$x		=62.5;
$fpdf	->SetXY($x,$y);
$fpdf	->SetFont('Helvetica', 'B', 5.4);
$fpdf	->Cell(20, 4, utf8_decode('ORDEN DE COMPRA'), '0', 0, 'L', 1);
$x		=83.5;
$fpdf	->SetXY($x,$y);
$fpdf	->SetFont('Helvetica', '', 7);
$fpdf	->MultiCell(28.5, 4, utf8_decode($ordendecompra), '0', 'L', 1);
$yd     = $fpdf->GetY();

$y		=$fpdf->GetY()+2;
$x		=21;
$fpdf	->SetXY($x,$y);
$fpdf	->SetFont('Helvetica', 'B', 7);
$fpdf	->Cell(20, 4, utf8_decode('OBSERVACIÓN'), '0', 0, 'L', 1);
$x		=42;
$fpdf	->SetXY($x,$y);
$fpdf	->SetFont('Helvetica', '', 7);
$fpdf	->MultiCell(154, 4, utf8_decode($observacion), '0', 'L', 1);
$yd1    = $fpdf->GetY()+1;

$y = $yd123;
//Lado Derecho 2
$x		=$x1;
$fpdf	->SetXY($x,$y);
$fpdf	->SetFont('Helvetica', 'B', 7);
$fpdf	->Cell(20, 4, utf8_decode($riftd), '0', 0, 'L', 1);
$x		=$x1+21;
$fpdf	->SetXY($x,$y);
$fpdf	->SetFont('Helvetica', '', 7);
$fpdf	->MultiCell(20, 4, utf8_decode($rifd), '0', 'L', 1);
//$y		=$fpdf->GetY()+1;
$x		=$x1+42;
$fpdf	->SetXY($x,$y);
$fpdf	->SetFont('Helvetica', 'B', 7);
$fpdf	->Cell(20, 4, utf8_decode('TELÉFONO'), '0', 0, 'L', 1);
$x		=$x1+62.5;
$fpdf	->SetXY($x,$y);
$fpdf	->SetFont('Helvetica', '', 7);
$fpdf	->MultiCell(20.5, 4, utf8_decode($telefonod), '0', 'L', 1);
$y		=$fpdf->GetY()+1;
$x		=$x1;
$fpdf	->SetXY($x,$y);
$fpdf	->SetFont('Helvetica', 'B', 7);
$fpdf	->Cell(20, 4, utf8_decode('CONDUCTOR'), '0', 0, 'L', 1);
$x		=$x1+21;
$fpdf	->SetXY($x,$y);
$fpdf	->SetFont('Helvetica', '', 7);
$fpdf	->MultiCell(30.5, 4, utf8_decode($conductor), '0', 'L', 1);
$x		=$x1+52;
$fpdf	->SetXY($x,$y);
$fpdf	->SetFont('Helvetica', 'B', 6.7);
$fpdf	->MultiCell(12, 4, utf8_decode($riftdc), '0', 'L', 1);
$x		=$x1+65;
$fpdf	->SetXY($x,$y);
$fpdf	->SetFont('Helvetica', '', 7);
$fpdf	->MultiCell(18, 4, utf8_decode($rifdc), '0', 'L', 1);
$y		=$fpdf->GetY()+1;
$x		=$x1;
$fpdf	->SetXY($x,$y);
$fpdf	->SetFont('Helvetica', 'B', 7);
$fpdf	->Cell(20, 4, utf8_decode('VEHÍCULO'), '0', 0, 'L', 1);
$x		=$x1+21;
$fpdf	->SetXY($x,$y);
$fpdf	->SetFont('Helvetica', '', 6);
$fpdf	->MultiCell(30.5, 2.5, utf8_decode($vehiculo), '0', 'L', 1);
$x		=$x1+52;
$fpdf	->SetXY($x,$y);
$fpdf	->SetFont('Helvetica', 'B', 7);
$fpdf	->MultiCell(12, 4, utf8_decode('PLACA'), '0', 'L', 1);
$x		=$x1+65;
$fpdf	->SetXY($x,$y);
$fpdf	->SetFont('Helvetica', '', 7);
$fpdf	->MultiCell(18, 4, utf8_decode($placa), '0', 'L', 1);

$yi     = $fpdf->GetY();

if ($yi>$yd){
  $yd=$yi;
}
if ($yd22>$yd11){
	$yd11=$yd22;
}

$difer = $yd1 - 72;

//Cuadrado del encabezado del cliente
$fpdf	->Rect(20,$yf+5,21.5,($yd-$yf)-4);
$fpdf	->Rect(58,$yf,23,5);
$fpdf	->Rect(112.5,$yf+5,20.5,($yd-$yf)-4);
$fpdf	->Rect(145,$yf,23,5);
$fpdf	->Rect(20,$yf,92.5,($yd-$yf)+1);
$fpdf	->Rect(112.5,$yf,84,($yd-$yf)+1);
//entre lineas
$fpdf	->Rect(20,$yfp-0.5,176.5,0);
$fpdf	->Rect(20,$yd11-0.5,176.5,0);
$fpdf	->Rect(20,$yd11+4.5,176.5,0);
$fpdf	->Rect(20,$yd11+9.5,176.5,0);
//para el teléfono
$fpdf	->Rect(62.5,$yd11-0.5,0,15.5);
$fpdf	->Rect(83.3,$yd11-0.5,0,15.5);

$fpdf	->Rect(154,$yd11-0.5,0,5);
$fpdf	->Rect(175,$yd11-0.5,0,5);


//para chofer
$fpdf	->Rect(164.4,$yd11+4.5,0,10.5);
$fpdf	->Rect(177,$yd11+4.5,0,10.5);

//Oservacion
$fpdf	->Rect(20,$yd+1.1,21.5,6);
$fpdf	->Rect(41.5,$yd+1.1,155,6);


   /* $fpdf	->SetFillColor(0,0,0);
 $fpdf	->SetTextColor(255,255,255);  */

// Encabezdo del detalle
//Fijamos el eje de y en 70
//$y		=70+12;
$y		=$yd1+4;
$yf    =$y;
$x		=20.5;
$fpdf	->SetXY($x,$y);
$fpdf	->SetFont('Helvetica', 'B', 7);
$fpdf	->Cell(50, 8, utf8_decode('DENOMINACIÓN COMERCIAL'), '0', 0, 'C', 1);
$fpdf	->SetXY($x+51,$y);
$fpdf	->SetFont('Helvetica', 'B', 6.8);
$fpdf	->Cell(12, 8, utf8_decode('CANTIDAD'), '0', 0, 'C', 1);
$fpdf	->SetXY($x+64,$y);
$fpdf	->SetFont('Helvetica', 'B', 7);
$fpdf	->Cell(10, 8, utf8_decode('# U.M'), '0', 0, 'C', 1);
$fpdf	->SetXY($x+75,$y);
$fpdf	->SetFont('Helvetica', 'B', 6);
$fpdf	->MultiCell(12, 4, utf8_decode('LITROS X ENVASE'), '0', 'C', 1);
$fpdf	->SetXY($x+88,$y);
$fpdf	->SetFont('Helvetica', 'B', 7);
$fpdf	->MultiCell(12, 4, utf8_decode('TOTAL LITROS'), '0', 'C', 1);
$fpdf	->SetXY($x+101,$y);
$fpdf	->Cell(20, 8, utf8_decode('PRECIO Bs.'), '0', 0, 'C', 1);
$fpdf	->SetXY($x+122,$y);
$fpdf	->MultiCell(20, 4, utf8_decode('TOTAL Bs. LIQUIDO'), '0', 'C', 1);
$fpdf	->SetXY($x+143,$y);
$fpdf	->Cell(10, 8, utf8_decode('REF.'), '0', 0, 'C', 1);
$fpdf	->SetXY($x+154,$y);
$fpdf	->Cell(21, 8, utf8_decode('TOTAL'), '0', 0, 'C', 1);
$y		=$fpdf->GetY();

//Cuadro del encabezado del detalle
$fpdf	->Rect(20,$yf,51,($y-$yf)+8.5);
$fpdf	->Rect(20+51,$yf,13,($y-$yf)+8.5);
$fpdf	->Rect(20+64,$yf,11,($y-$yf)+8.5);
$fpdf	->Rect(20+75,$yf,13,($y-$yf)+8.5);
$fpdf	->Rect(20+88,$yf,13,($y-$yf)+8.5); 
$fpdf	->Rect(20+101,$yf,21,($y-$yf)+8.5);
$fpdf	->Rect(20+122,$yf,21,($y-$yf)+8.5);
$fpdf	->Rect(20+143,$yf,11,($y-$yf)+8.5);
$fpdf	->Rect(20+154,$yf,22,($y-$yf)+8.5);

//Cuadro del detalle
$yd1     =9;
$alto    =60;
$fpdf	->Rect(20,$yf+$yd1,51,$alto);
$fpdf	->Rect(20+51,$yf+$yd1,13,$alto);
$fpdf	->Rect(20+64,$yf+$yd1,11,$alto);
$fpdf	->Rect(20+75,$yf+$yd1,13,$alto);
$fpdf	->Rect(20+88,$yf+$yd1,13,$alto); 
$fpdf	->Rect(20+101,$yf+$yd1,21,$alto);
$fpdf	->Rect(20+122,$yf+$yd1,21,$alto);
$fpdf	->Rect(20+143,$yf+$yd1,11,$alto);
$fpdf	->Rect(20+154,$yf+$yd1,22,$alto); 


// Detalle de la factura
//Buscamos los detalles de la factura

$rsptad=$venta->ventadetalles($_GET["id"]);

// 
//articulo, codigo, cajas, unidades, precio_venta, descuento, subtotal, idcategoriadeunidades, 
//nombre, idunidademedidad, nombre, unidadesxcajas
$fpdf	->SetY($y+6);
$fpdf	->SetFont('Helvetica', 'B', 6.5);
/* $fpdf	->SetFillColor(255,255,255);
$fpdf	->SetLineWidth(0.5);
$fpdf	->SetDrawColor(90,90,90);
$fpdf	->SetTextColor(0,0,0); */

$subtotal			=0;
$subtotald		=0;
$total				=0;
$totald				=0;
$iva					=0;
$ivad					=0;
$ivapvp				=0;
$exento				=0;
$exentod			=0;
$totaldollar	=0;
$imp 					= 1+(16/100);
$totalG				=0;
$totalGpvp		=0;
$totalapagar	=0;
$totalapagard	=0;
$totalpvp			=0;
$subtotalpvp	=0;
$totalart16		=0;
$litrosxenvase=0;
$totalliquido	=0;
$y						=$fpdf->GetY()+3;
$x		    		=20.5;
$h 						=3.5;
$totalpeso		=0;
$totallitros	=0;
while($regd=$rsptad->fetch_object()){
	$precio 				=	$regd->precio_venta;
	$preciod 				=	$regd->precio_ventad;
	$litrosxenvase	= $regd->cajas*$regd->unidadesxcaja*$regd->capacidad;
	$totalliquido		=	$regd->unidadesxcaja*$regd->precio_venta;
	$subtotal				=	$regd->cajas*$precio;
	$subtotald			=	$regd->cajas*$preciod;
  $total					=	$total+$subtotal;
	$totald					=	$totald+$subtotald;
	$totalpeso			=	$totalpeso + ($regd->cajas*$regd->peso);
	$totallitros		=	$totallitros + $litrosxenvase;
    if ($regd->exento=='si'){
        $exento		=$exento+$subtotal;
        $exentod	=$exentod+$subtotald;
    }else{
        $iva		=$iva+($subtotal*$impuesto);
        $ivad		=$ivad+($subtotald*$impuesto);
    }
	$fpdf	->SetXY($x,$y);
	$fpdf	->MultiCell(50, $h, utf8_decode($regd->articulo), '0', 'L', 1);
	$y1		=$fpdf->GetY();
	$fpdf	->SetXY($x+51,$y);
	$fpdf	->Cell(12, $h, number_format($regd->cajas, 0, ',', '.'), '0', 0, 'R', 1);
	$fpdf	->SetXY($x+64,$y);
	$fpdf	->Cell(10, $h, number_format($regd->unidadesxcaja, 0, ',', '.'), '0', 0, 'R', 1);
	$fpdf	->SetXY($x+75,$y);
	$fpdf	->Cell(12, $h, utf8_decode($regd->capacidad), '0', 0, 'R', 1);
	$fpdf	->SetXY($x+88,$y);
	$fpdf	->Cell(12, $h, utf8_decode($litrosxenvase), '0', 0, 'R', 1);
	$fpdf	->SetXY($x+101,$y);
	$fpdf	->Cell(20, $h, number_format($precio, 2, ',', '.'), '0', 0, 'R', 1);
	$fpdf	->SetXY($x+122,$y);
	$fpdf	->Cell(20, $h, number_format($totalliquido, 2, ',', '.'), '0', 0, 'R', 1);	
	$fpdf	->SetXY($x+143,$y);
	$fpdf	->Cell(10, $h, number_format($preciod, 2, ',', '.'), '0', 0, 'R', 1);
	//$fpdf	->Cell(10, 4, '1.000.000,00', '0', 0, 'R', 1);
	$fpdf	->SetXY($x+154,$y);
	$fpdf	->Cell(21, $h,  number_format($subtotal, 2, ',', '.'), '0', 0, 'R', 1); 
	$y		=$fpdf->GetY();
	if ($y1>$y){
		$y = $y1 ;
	}else{
		$y = $y ;
	}
    //$y		=$fpdf->GetY()+5;

}


//$totalapagar	=	$total + $iva;
//$totalapagard	=	$totald + $ivad;
$totalapagar	=	$total + $iva;
$totalapagard	=	$totald + $ivad;  
if(($totalapagard!=$total_ventaimpuestod)&&($totalapagard>0)&&(abs($totalapagard-$total_ventaimpuestod)>2)){
    $totalapagar    = $total_ventaimpuesto;
    $totalapagard   = $total_ventaimpuestod;
    $ivad           = $totalapagard - $total_ventad;
    $iva            = $totalapagar - $total_venta;
    $exento		    = $totalapagar-($iva/.16);
    $exentod	    = $totalapagard-($ivad/.16);
}


//Sub-total, impuesto y total ****************
//Sub-total
//$fpdf	->SetFillColor(0,0,0);
//$fpdf	->SetTextColor(255,255,255); 
$x1			=133;
$y1			=92+$difer;
$xd     =41;
$fpdf		->SetFont('Helvetica', '',5);
$y			=$y1+$alto-3;
$x			=$x1;

//Total
//$y		=$fpdf->GetY()+7;
/* $fpdf	->SetXY($x+25.5,$y-10); //Total en $
$fpdf	->Cell(25, 6, number_format($totald, 2, ',', '.'), '0', 0, 'R', 1); */

$fpdf	->SetFont('Helvetica', 'B', 7);
$fpdf	->SetXY($x,$y);
$fpdf	->Cell(20, 4, 'Sub-Total:', '', 0, 'R', 1);
$fpdf	->SetFont('Helvetica', 'B', 7);
$fpdf	->SetXY($x+$xd-20,$y);
$fpdf	->Cell(19,4, 'Ref. '.number_format($totald, 2, ',', '.'), '', 0, 'R', 1);
$fpdf	->SetXY($x+$xd,$y);
$fpdf	->Cell(22,4, number_format($total, 2, ',', '.'), '', 0, 'R', 1);

/**/ $y		=$y+4.5;
$fpdf	->SetFont('Helvetica', 'B', 7);
$fpdf	->SetXY($x,$y);
$fpdf	->Cell(20, 4, ('Iva '.($impuesto*100).'%:'), '', 0, 'R', 1);
$fpdf	->SetFont('Helvetica', 'B', 6);
$fpdf	->SetXY($x+$xd-20,$y);
$fpdf	->Cell(19,4, 'Ref. '.number_format($ivad, 2, ',', '.'), '', 0, 'R', 1);
$fpdf	->SetFont('Helvetica', 'B', 6);
$fpdf	->SetXY($x+$xd,$y);
$fpdf	->Cell(22, 4, number_format($iva, 2, ',', '.'), '', 0, 'R', 1);

$y		=$y+4.5;
$fpdf	->SetXY($x,$y);
$fpdf	->SetFont('Helvetica', 'B', 7);
$fpdf	->Cell(20, 4, 'Exento:', '', 0, 'R', 1);
$fpdf	->SetFont('Helvetica', 'B', 6);
$fpdf	->SetXY($x+$xd-20,$y);
$fpdf	->Cell(19,4, 'Ref. '.number_format($exentod, 2, ',', '.'), '', 0, 'R', 1);
$fpdf	->SetXY($x+$xd,$y);
$fpdf	->SetFont('Helvetica', 'B', 6);
$fpdf	->Cell(22, 4, number_format($exento, 2, ',', '.'), '', 0, 'R', 1);  

$y		=$y+4.5;
$fpdf	->SetXY($x,$y);
$fpdf	->SetFont('Helvetica', 'B', 7.5);
$fpdf	->Cell(20, 4, 'Total:', '', 0, 'R', 1);
//$fpdf	->Cell(25, 4, 'Ref', '', 0, 'R', 1);
$fpdf	->SetXY($x+$xd-20,$y);
$fpdf	->Cell(19,4, 'Ref. '.number_format($totalapagard, 2, ',', '.'), '', 0, 'R', 1);
$fpdf	->SetXY($x+$xd,$y);
$fpdf	->SetFont('Helvetica', 'B', 7.5);
$fpdf	->Cell(22, 4, number_format($totalapagar, 2, ',', '.'), '', 0, 'R', 1); 


//Cuadros
$y		=$y1+$alto-3.5;
$x		=$x1+20;
$fpdf	->Rect($x,$y,43,4.7);
$fpdf	->Rect($x,$y+4.7,43,4.7);
 $fpdf	->Rect($x,$y+9.4,43,4.7);
$fpdf	->Rect($x,$y+14.1,43,4.7); /**/
//LINEAS
$x		=$x+21;
$fpdf	->Rect($x,$y,0,4.7);
$fpdf	->Rect($x,$y+4.7,0,4.7);
 $fpdf	->Rect($x,$y+9.4,0,4.7);
$fpdf	->Rect($x,$y+14.1,0,4.7);
/* */
//TEXTO
//$fpdf	->SetFillColor(0,0,0);
//$fpdf	->SetTextColor(255,255,255);
$x1			=19;
$y1			=100+$difer;
$fpdf		->SetFont('Helvetica', 'B',6.5);
$y			=$y1+$alto-3;
$x			=$x1;
$fpdf	->SetXY($x+40,$y);
$fpdf	->Cell(20, 4,  number_format($totalpeso, 2, ',', '.').utf8_decode(' KG.'), '0', 0, 'C', 1); 
$fpdf	->Cell(20, 4,  number_format($totallitros, 2, ',', '.').utf8_decode(' LTS.'), '0', 0, 'C', 1); 
//$fpdf	->Cell(20, 4,  utf8_decode($Fecha), '0', 0, 'C', 1);
$y			=$y + 3;
$fpdf	->SetXY($x,$y);
$fpdf	->MultiCell(120, 3, utf8_decode('(*) Valor base el cual se percibe el impuesto según el artículo 12 del IVA.'), '0', 'C', 1);
$y			=$y + 3;
$fpdf	->SetXY($x,$y);
$fpdf	->MultiCell(120, 3, utf8_decode('Factura que sera pagada totalmente mediante transferencia bancaria o deposito.'), '0', 'C', 1);
$y			=$y + 3;
$fpdf	->SetXY($x,$y);
$fpdf	->MultiCell(120, 3, utf8_decode('Documento sin Enmienda. La entrega de esta Factura no libera la obligación de deuda en ella contenida.'), '0', 'C', 1);
/*
$y			=$y + 3;
$fpdf	->SetXY($x,$y);
$fpdf	->MultiCell(120, 3, utf8_decode('Todo cheque devuelto genera el 2% de recargo por gastos Administrativos.'), '0', 'C', 1);
*/
$x			=$x1-10;
$y			=$y + 3;
$fpdf	->SetXY($x,$y);
$fpdf	->MultiCell(140, 3, utf8_decode('PAGOS A NOMBRE DE: DISTRIBUIDORA DE PRODUCTOS ALIMENTICIOS CHOCOMILK, C.A. RIF J-00330596-0'), '0', 'C', 1);
$y			=$y + 3;
$x			=$x + 20;
$fpdf	->SetXY($x,$y);
$fpdf	->Cell(40, 4,  utf8_decode('TASA BCV PARA EL DIA DE HOY: '), '0', 0, 'C', 1); 
$fpdf	->Cell(20, 4,  utf8_decode($Fecha), '0', 0, 'C', 1);
$fpdf	->Cell(5, 4,  utf8_decode('DE: '), '0', 0, 'C', 1);
$fpdf	->Cell(25, 4,  number_format($tasa_dollar, 2, ',', '.'), '0', 0, 'C', 1);
$x			=$x1;
$y			=$y + 4;
$fpdf	->SetXY($x,$y);
$fpdf	->MultiCell(120, 3, utf8_decode('Esta factura causará IGTF 3% en caso de ser pagada en divisas.'), '0', 'C', 1);

$y			=$y + 20;
$x			=16 ;
$fpdf	->SetXY($x,$y);
$fpdf	->Cell(40, 4,  utf8_decode('Firma y sello cajero despachador'), '0', 0, 'C', 1); 

$fpdf->OutPut('Factura_'.$nrofactura,'I');